## survex 1.0.7

=== debian/changelog ===
survex (1.0.7) unstable; urgency=low

  * print*: halted with a failed assertion in 1.0.4-1.0.6.

 -- Wookey <wookey@survex.com>  Mon, 08 Apr 2002 09:48:43 +0100

survex (1.0.6) unstable; urgency=low

  * Assorted aven fixes and enhancements.
  * Spell-checked documentation.

 -- Wookey <wookey@survex.com>  Sun, 07 Apr 2002 15:36:11 +0100

survex (1.0.5) unstable; urgency=low

  * img_open_survey() could crash if you tried to open an unrecognised file
    (i.e. not .3d, .pos, .plt, or .xyz format).
  * North and East were the wrong way round when reading in .plt files.
  * cad3d: Improved .plt file output - Compass should read it now.
  * Documentation updates.

 -- Wookey <wookey@survex.com>  Fri, 05 Apr 2002 01:52:54 +0100

survex (1.0.4) unstable; urgency=low

  * extend: now keep all names for an equated group of stations.
  * cad3d: if an output filename is given, use its extension to pick the
    default output format.
  * aven: movement with keyboard is now accelerated by Shift as in caverot.
  * print*: --no-borders fixed to work as documented; --no-cutlines added to
    turn off the dashed lines where pages join on multi-page printouts.
  * Improvements to .plt file reading.
  * Added support for reading CMAP XYZ files.
  * Documentation updates.

 -- Wookey <wookey@survex.com>  Mon, 01 Apr 2002 23:23:07 +0100

survex (1.0.3) unstable; urgency=low

  * aven: support for feet and grads.
  * aven: show altitude of mouse pointer when in elevation view.
  * print*: say where output is being sent.
  * Updated fr internationalisation; minor updates to other languages.

 -- Wookey <wookey@survex.com>  Thu, 21 Mar 2002 01:51:27 +0000

survex (1.0.2) unstable; urgency=low

  * printdm and printpcl now obey font_size_labels setting in print.ini etc.
  * Enhancements and bug-fix to handling of Topofil.
  * *FIX with 3 standard deviations but no covariances now works.
  * cad3d: new --plt option produces crude approximation to Compass .plt
    files - should be good enough for reading into Carto.
  * img library now reads Compass .plt files as if they were .3d files.
  * Updated ca and es internationalisations.

 -- Wookey <wookey@survex.com>  Sun, 17 Mar 2002 12:42:44 +0000

survex (1.0.1) unstable; urgency=low

  * Updated pt-br and it internationalisations.

 -- Wookey <wookey@survex.com>  Thu, 31 Jan 2002 06:15:26 +0000

survex (1.0.0) unstable; urgency=low

  * Compiling gfxcore.cc often causes an ICE in GCC 2.95, so if the compile
    fails on this source we now retry with -O instead of -O2.  Hopefully
    this'll get us a build on all architectures...

 -- Wookey <wookey@survex.com>  Sun, 23 Dec 2001 01:58:55 +0000

survex (0.99.10) unstable; urgency=low

  * Aven updates
  * Bug fix in .3d file reading code

 -- Wookey <wookey@survex.com>  Wed, 19 Dec 2001 14:28:10 +0000

survex (0.99.9) unstable; urgency=low

  * Aven updates

 -- Wookey <wookey@survex.com>  Sat, 15 Dec 2001 14:27:00 +0000

survex (0.99.8) unstable; urgency=low

  * New release - now compiles under GCC3.0 so should build on hppa

 -- Wookey <wookey@survex.com>  Tue, 04 Dec 2001 19:30:07 +0000

survex (0.99.7) unstable; urgency=low

  * New release

 -- Wookey <wookey@survex.com>  Thu, 15 Nov 2001 18:49:05 +0000

survex (0.99.6) unstable; urgency=low

  * New release (closes: bug#118280)

 -- Wookey <wookey@survex.com>  Fri, 09 Nov 2001 15:02:37 +0000

survex (0.99.5) unstable; urgency=low

  * New release (closes: bug#116511)
  * Aven updates

 -- Wookey <wookey@survex.com>  Mon, 22 Oct 2001 12:16:02 +0100

survex (0.99.4) unstable; urgency=low

  * New release

 -- Wookey <wookey@survex.com>  Fri, 12 Oct 2001 01:56:58 +0100

survex (0.99.3) unstable; urgency=low
 
  * New release
     
 -- Wookey <wookey@survex.com>  Fri, 05 Oct 2001 01:04:36 +0100
