=== debian/control ===
Source: survex
Section: math
Priority: optional
Maintainer: Wookey <wookey@survex.com>
Standards-Version: 3.5.6.0
Build-Depends: debhelper (>= 1.1.17), libwxgtk2.2-dev

Package: survex
Architecture: any
Depends: ${shlibs:Depends}
Recommends: survex-aven (= 1.0.7)
Description: Cave surveying and mapping software
 A software suite to process, view, and print cave survey data.  Survex
 is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
 English, French, German, Portuguese, Catalan, and Spanish
 internationalisations. It can deal with extremely large and complex
 datasets and can read survey data from many sources.

Package: survex-aven
Architecture: any
Depends: survex (= 1.0.7), ${shlibs:Depends}
Description: Sophisticated cave survey viewer for Survex
 Advanced cave viewer for Survex, written using the wxWindows library.
 Aven supersedes the xcaverot viewer in the main survex package.
