## survex 1.0.30

=== debian/changelog ===
survex (1.0.30) unstable; urgency=low

  * aven: Added printing directly from Aven!
  * aven: Fixed memory leak when showing the "About" dialog.
  * cavern: Equates are no longer considered when deciding which stations are
    flagged as surface and underground.
  * Romanian translation mostly completed.
  * Minor packaging tweaks (added website URL and changed package descriptions
    to start with a lowercase letter as suggested by packaging guidelines).

 -- Wookey <wookey@survex.com>  Sat, 29 May 2004 23:01:13 +0100

survex (1.0.29) unstable; urgency=low

  * cad3d: Fixed problem with DXF files which stopped them loading with some
    drawing packages (introduced in 1.0.27).
  * aven: Changed File->Exit to File->Quit.
  * Removed some unused messages from the message files.
  * Romanian translation started.
  * Fixed a few new lintian warnings.
  * Fixed new lintian warnings about missing quotes in menu files.

 -- Wookey <wookey@survex.com>  Mon, 19 Mar 2004 14:55:23 +0000

survex (1.0.28) unstable; urgency=low

  * Fixed 3d file reading code to fix incorrect unpacking of compressed
    station names in a rare case.  Also checked other rare cases work
    correctly.

 -- Wookey <wookey@survex.com>  Mon, 08 Mar 2004 20:54:03 +0000

survex (1.0.27) unstable; urgency=low

  * cad3d: DXF output now puts surface legs, stations, and labels in separate
    layers.
  * debian/control,debian/rules: The default gcc/g++ is now c102 so removed
    code to explicitly use GCC 3.2.

 -- Wookey <wookey@survex.com>  Wed, 07 Jan 2004 03:27:58 +0000

survex (1.0.26) unstable; urgency=low

  * Standards-Version: 3.6.1 (no changes).
  * Fixed lintian warning.
  * Tidied up debian/rules.
  * cavern: Fixed interleaved topofil data style - the length was always being
    calculated as zero.
  * aven: "All Files" now shows files without extensions too.
  * aven: added Ctrl+Q as shortcut for File->Exit.
  * aven: depth colouring now uses a proper colour gradient.
  * cad3d: fixed -e and -r options to not crash (the long versions have always
    worked).
  * extend: fixed to initialise an internal structure - failing to do so was
    probably causing crashes on some platforms.
  * Fixed standard graphics for "Note", "Warning", etc in the PostScript manual.
  * Documentation updated.
  * fixed svxedit man page which previously contained xcaverot documentation!
  * test suite: check that cavern doesn't report "nan" or "NaN" for any values.

 -- Wookey <wookey@survex.com>  Sat, 29 Nov 2003 00:40:24 +0000

survex (1.0.25) unstable; urgency=low

  * Updated config.guess and config.sub (closes: bug#186687).
  * Added missing Build-Depends on xlibs-dev (closes: bug#186956).

 -- Wookey <wookey@survex.com>  Mon, 31 Mar 2003 17:49:29 +0100

survex (1.0.24) unstable; urgency=low

  * cavern: fixed LEVEL (broken since around 1.0.8) and added test case.
  * cavern: corrected handling of declination in Compass DAT files and added
    test case; also added tests for other aspects of Compass DAT file
    reading.
  * printps/printpcl: fixed blank page detection in some obscure cases.
  * Documentation: started manual section on working with Compass data files.
  * Added Build-Depends on gcc-3.2 and g++-3.2.

 -- Wookey <wookey@survex.com>  Fri, 28 Mar 2003 02:03:16 +0000

survex (1.0.23) unstable; urgency=low

  * Documentation: include 3d v3 file format description on MS Windows, MS
    DOS, and RISC OS too; include PNG graphics for manual on MS Windows; minor
    updates to manual.
  * Prefer wxWindows 2.4 if it's available (closes: bug#183158).
  * Disabled experimental support for Chinese (LANG=zh) - it isn't currently
    working and makes the printer drivers unusable when LANG is set to zh.
  * Changed Section from math to science.
  * Changed Priority from optional to extra (we clearly should be optional).
  * Standards-Version: 3.5.8.0 (support DEB_BUILD_OPTIONS).

 -- Wookey <wookey@survex.com>  Tue, 04 Mar 2003 20:54:17 +0000

survex (1.0.22) unstable; urgency=low

  * aven: Fixed handling of extended elevations (and other flat surveys).
  * Documentation: fixed 3d v3 file format description and include it in debs.
  * Build-Depends on libwxgtk2.3-dev|libwxgtk2.2-dev so we still build on
    hppa while Ron Lee resolves the wx hppa build failure.

 -- Wookey <wookey@survex.com>  Tue, 26 Nov 2002 04:22:26 +0000

survex (1.0.21) unstable; urgency=low

  * cavern: when reading Compass DAT files, we now processes compass and clino
    backsights, and recognise the "X" flag which indicates a leg should be
    entirely ignored.  And we now report correct line number with errors in
    Compass .MAK files.
  * cavern: if "*infer plumbs on", don't infer a plumb if the clino is
    +/- 90 degrees, but the backclino isn't (and vice versa).
  * cavern: fixed 3dx output so it actually works with Chasm once more.
  * cavern: don't allocate extra space needed for producing 3dx output for
    Chasm unless we're actually producing that output - saves about 8 bytes
    per station.
  * cavern: removed slightly too keen sanity check which could misfire in very
    unusual circumstances.

 -- Wookey <wookey@survex.com>  Sat, 16 Nov 2002 15:15:12 +0000

survex (1.0.20) unstable; urgency=low

  * aven: update display when "Metric" or "Degrees" is toggled.
  * cavern: fixed handling of compass and clino corrections in Compass survey
    data - these were interpreted as radians rather than degrees so the
    correction was about 57 times too large!)
  * Improved handling of Compass PLT files - if the survey name is empty, don't
    insert a survey separator character.
  * Documentation: fixed incorrect markup which resulted in a bogus footnote.
  * Use wxwindows-2.3 rather than wxwindows-2.2 (closes: bug#166105).

 -- Wookey <wookey@survex.com>  Fri, 01 Nov 2002 15:28:37 +0000

survex (1.0.19) unstable; urgency=low

  * cavern: can now process Compass format survey data, and even mixed
    datasets.

