=== debian/control ===
Source: survex
Section: science
Priority: extra
Maintainer: Wookey <wookey@survex.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 1.1.17), xlibs-dev, libwxgtk2.4-dev

Package: survex
Architecture: any
Depends: ${shlibs:Depends}
Recommends: survex-aven (= 1.0.30)
Suggests: survex-svxedit (= 1.0.30)
Description: cave surveying and mapping software
 A software suite to process, view, and print cave survey data.  Survex
 is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
 English, French, German, Portuguese, Catalan, Spanish, Slovak, and Romanian
 internationalisations.  It can deal with extremely large and complex
 datasets and can read survey data from many sources.
 .
 Homepage: http://www.survex.com/

Package: survex-aven
Architecture: any
Depends: survex (= 1.0.30), ${shlibs:Depends}
Description: sophisticated cave survey viewer for Survex
 Advanced cave viewer for Survex, written using the wxWindows library.
 Aven supersedes the xcaverot viewer in the main survex package.

Package: survex-svxedit
Architecture: all
Depends: tk8.4|wish, bwidget
Recommends: survex (= 1.0.30)
Description: survey data editor for Survex
 Experimental cave survey data entry editor for Survex.  Packaged separately
 as it requires TCL to be installed, and a text editor may be used instead.
