## survex 1.0.32

=== debian/changelog ===
survex (1.0.32) unstable; urgency=low

  * aven: Fixed font sizes in "Print Preview".
  * aven: In the print setup dialog, replaced "Orientation" radio buttons with
    "Plan" and "Elevation" buttons.
  * aven: Fixed info box on printouts of elevations, tilted views, and
    extend elevations.
  * aven: Added "fit on one page" option, and make it the default.
  * aven: Reorder "Cancel", "Preview", "Print" buttons and make "Print" the
    default button.
  * aven: Read settings back from the print dialog when the "Print" button is
    pressed (was only done for "Preview" previously).
  * aven: Sorted out the initial size of the "Print Preview" window.
  * aven: Fixed the window manager's close button on the "Print Preview"
    window - previously this was being ignored.
  * aven: Sorted out initial survey scaling when loading a survey at startup.
  * aven: Fixed the measuring line to work better when the survey tree is
    manipulated with keys.  Tweaked redrawing of the measuring line to be a
    smidgen more efficient.  Fixed the blob and ring size which were one
    pixel too small on Windows.
  * aven: Added "System Information:" section to the "About" dialog to hold
    information useful when reporting bugs.  Currently it contains the
    wxWindows version, OS version, and colour depth information.
  * aven: Changed the "About" dialog's "Close" button to be "OK" for
    consistency with pretty much every other application.
  * aven: Added "File->Export as..." which integrates cad3d's functionality
    within aven.
  * aven: Updated a few icons.
  * cad3d: Added SVG export support from John Pybus
  * Fixed to allow compilation with GCC 3.4
  * Updates to German translation.

 -- Wookey <wookey@survex.com>  Thu, 30 Sep 2004 23:07:39 +0100

survex (1.0.31) unstable; urgency=low

  * aven: Fixed grid menu item so that it always correctly reflects whether
    the grid is enabled or not.
  * aven: Minor improvements to appearance of a few toolbar icons.
  * Updates to Catalan, French, Italian, Romanian, Slovak, and Spanish
    translations.
  * cavern: Fixed Romanian message which was appearing in English .err files.

 -- Wookey <wookey@survex.com>  Thu, 01 Jul 2004 01:36:19 +0100
