## survex 1.0.34

=== debian/changelog ===
survex (1.0.34) unstable; urgency=low

  * extend: Added changes from John Pybus which allow you to specify a
    configuration file to control how the centreline is extended - e.g.
    where to fold and where to break loops.

 -- Wookey <wookey@survex.com>  Sat, 22 Jan 2005 01:44:39 +0000

survex (1.0.33) unstable; urgency=low

  * aven: Fixed bug which would sometimes pick one too few pages
    vertically resulting in the survey escaping off the top of the topmost
    pages.
  * aven: Changed the toner-wasting, hard-to-measure-exactly alternately filled
    scale bar to a simple line with ticks.
  * aven: SVG export fixes: second and subsequent exports had bogus extra
    "</g>"; Fixed to invert all Y coordinates, not just some; Fixed tags for
    layers.
  * aven: Added EPS export option.
  * Minor documentation updates.

 -- Wookey <wookey@survex.com>  Wed, 13 Jan 2005 05:40:38 +0000
