## survex 1.0.34ubuntu1

=== debian/changelog ===
survex (1.0.34ubuntu1) breezy; urgency=low

  * Change deps for survex* from (=1.0.34) to (>=1.0.34), (<<1.0.35)

 -- Barry deFreese <bddebian@comcast.net>  Sun, 18 Sep 2005 16:04:09 -0400

survex (1.0.34build2) breezy; urgency=low

  * Rebuild for dependencies (libwxgtk2.4)

 -- Barry deFreese <bddebian@comcast.net>  Tue, 13 Sep 2005 22:40:25 -0400

survex (1.0.34build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue,  7 Jun 2005 14:24:07 +0000
