=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: survex
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: survex-aven (= 1.0.34)
-Suggests: survex-svxedit (= 1.0.34)
+Recommends: survex-aven (>= 1.0.34), survex-aven (<< 1.0.35)
+Suggests: survex-svxedit (>= 1.0.34), survex-svxedit (<< 1.0.35)
 Description: cave surveying and mapping software
  A software suite to process, view, and print cave survey data.  Survex
  is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
@@ -21,7 +21,7 @@
 
 Package: survex-aven
 Architecture: any
-Depends: survex (= 1.0.34), ${shlibs:Depends}
+Depends: survex (>= 1.0.34), survex (<< 1.0.35), ${shlibs:Depends}
 Description: sophisticated cave survey viewer for Survex
  Advanced cave viewer for Survex, written using the wxWindows library.
  Aven supersedes the xcaverot viewer in the main survex package.
@@ -29,7 +29,7 @@
 Package: survex-svxedit
 Architecture: all
 Depends: tk8.4|wish, bwidget
-Recommends: survex (= 1.0.34)
+Recommends: survex (>= 1.0.34), survex (<< 1.0.35)
 Description: survey data editor for Survex
  Experimental cave survey data entry editor for Survex.  Packaged separately
  as it requires TCL to be installed, and a text editor may be used instead.
