=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
-# Based on sample debian/rules that uses debhelper.
+# Based on sample debian/rules that uses debhelper,
 # GPL copyright 1997 to 1999 by Joey Hess.
+#
 # Copyright (C) 2001 Wookey
-# Copyright (C) 2001 Olly Betts
+# Copyright (C) 2001,2002,2003,2004 Olly Betts
 #
-# This is a multibinary package. You to build any of the binary packages
+# This is a multibinary package. You can build any of the binary packages
 # independently, via binary-<package> targets.
 
 # Uncomment this to turn on verbose mode.
@@ -16,13 +17,24 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -O0
+else
+CFLAGS += -O2
+endif
+ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+STRIP=/bin/echo
+endif
+
 build: build-stamp
 build-stamp:
 	dh_testdir
 
-	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-docdir=\$${prefix}/share/doc/survex
+	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-docdir=\$${prefix}/share/doc/survex CFLAGS=$(CFLAGS) STRIP=$(STRIP)
 	$(MAKE)
-
+ifeq	($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+	$(MAKE) check
+endif
 	touch build-stamp
 
 clean:
@@ -58,21 +70,20 @@
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
-#	dh_installpam
 #	dh_installmime
-#	dh_installinit
-#	dh_installcron
 	gzip -9 debian/tmp/usr/share/man/man1/*
 	mkdir -p debian/survex-aven/usr/share/man/man1
+	mkdir -p debian/survex-svxedit/usr/share/man/man1
 	mv debian/tmp/usr/share/man/man1/aven.1.gz debian/survex-aven/usr/share/man/man1
-#	dh_installinfo
-#	dh_undocumented
+	mv debian/tmp/usr/share/man/man1/svxedit.1.gz debian/survex-svxedit/usr/share/man/man1
+# oddly /usr/bin/svxedit gets into survex and survex-svxedit otherwise
+# FIXME - this can't be the correct way to do this, can it?
+	rm -f debian/tmp/usr/bin/svxedit
 	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
@@ -83,8 +94,7 @@
 
 # Build architecture independant packages using the common target.
 binary-indep:
-# (Uncomment this next line if you have such packages.)
-#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
 binary-arch:
