## survex 1.0.39ubuntu1

=== debian/changelog ===
survex (1.0.39ubuntu1) dapper; urgency=low

  * Add desktop files for svxedit and aven from Phil Bull
    - (Closes Malone: #36442)

 -- Barry deFreese <bddebian@comcast.net>  Wed, 12 Apr 2006 13:10:04 -0400

survex (1.0.39) unstable; urgency=low

  * Updates to French translation from Michel Bovey.  Also updates to German,
    Italian, Catalan, Spanish, and Romanian translations.
  * test suite: fix smoke test to pass even without X running (it was meant to
    but the code had a bug).  Bug introduced in 1.0.38.
  * Updated "Build-Depends:" for the new X library packaging. Closes: #347108
  * Rebuilt debian/rules starting from debhelper example rules.multi2 to
    eliminate cruft such as use of debhelper programs which are deprecated or
    have better alternatives.  The new rules file puts exactly the same set of
    files in each package as the old one does, but should be easier to
    understand and maintain.

 -- Wookey <wookey@survex.com>  Thu, 12 Jan 2006 03:36:05 +0000

survex (1.0.38) unstable; urgency=low

  All changes backported from 1.1.7:
  * Check environmental variable LC_MESSAGES when deciding what language to use
    for messages.
  * aven: Improved update of mouse coordinates and measuring line (thanks to
    Martin Green).
  * aven: When printing an extended elevation, don't show bearing and elevation.
  * aven: Added Aven's icon to the "About" dialog.
  * aven: Use localised character for the decimal point (e.g. "," in most
    continental European countries).
  * aven: Previously the survey tree would get focus and then take keypresses
    (e.g. "P", "L", "Delete").  Now we pass most keypresses across so they
    operate on the cave, and transfer the input focus across when we do.
  * aven: Make pressing "Return" in the tree control expand/collapse a subtree.
  * aven: Make entrances green in side panel tree list to match green blobs used
    in cave view.
  * aven: Reworded "Restore Default Settings" as "Restore Default View".
  * aven: Set sensible default margins for printing and preserve any margin
    values the user specifies between runs (previously margins defaulted to 0
    each time aven was run).
  * aven: Really stop setting extra toolbar margin when using GTK2.0.  The
    attempt to fix this backported in 1.0.36 failed because __WXGTK12__ is set
    for GTK+ 1.2 or *any later release* so it is true for GTK+ 2.0 too!
  * aven: Add details of which of wxGTK, wxMotif, and wxX11 we've been
    compiled with, and which GTK+/Motif version where appropriate.
  * extend: Fixed 2 uninitialised flags (problem apparently never manifests
    on Linux - presumably we're lucky and always get zeroed memory from malloc
    if we never call free).
  * extend: Default output name for a file called input.3d is now
    input_extend.3d rather than just extend.3d (which was annoying if you
    wanted to extend several surveys in the same directory).
  * cavern: Applied Simeon Warner's patch for handling backcompass, backclino,
    and omitted forward compass/clino readings in Compass DAT files.  Added
    a feature test for this to the testsuite.
  * cavern: Fix handling of a *solve followed by survey data, none of which is
    attached to the previous data.
  * cavern: Fixed "No survey data" error when a *solve is followed by another
    *solve (or the implicit solve at the end of processing) with no data between
    them.
  * cavern: Fixed small one-off memory leak if you specify -o more than once.

 -- Wookey <wookey@survex.com>  Tue, 18 Oct 2005 04:33:32 +0100

survex (1.0.37) unstable; urgency=low

  * cavern: Also ignore any arguments after "*data passage" which makes this
    feature actually useful as intended.
  * aven: Recognise .3d file format versions 4 and 5 so you can load .3d files
    processed by 1.1.x test builds.
  * aven: Normalise filename by adding any extension used, and use the
    normalised filename for file history and window title.

 -- Wookey <wookey@survex.com>  Sat, 10 Sep 2005 19:31:20 +0100

survex (1.0.36) unstable; urgency=low

  * cavern: Ignore "*data passage" data style so you can process files
    containing LRUD data for Survex 1.1.3 and later.
  * cavern: Fix assertion failure when handling a survey with a station only
    attached by a nosurvey leg.
  * Capitalise first word of debian package description.
  * Install vim syntax file as debian vim policy describes.
  * Changes backported from 1.1.3:
    + aven: Improve initial window sizing and placement on multimonitor
      displays when using wx2.4 or earlier.
    + testsuite: Fix cavern.tst to report misspelled test names and
      make badnewline test case actually run and actually pass.
    + aven: Only add toolbar margins for gtk1.2
    + configure: Updated check for wx version.

 -- Wookey <wookey@survex.com>  Thu, 08 Sep 2005 00:39:51 +0100

survex (1.0.35) unstable; urgency=low

  * Standards-Version: 3.6.2 (no changes).
  * aven: Fix printing which was deciding how many pages to spread the plot
    over by looking at the whole paper size, not the printable area.
  * aven: When exporting, omit surface data if it's not being shown at the
    moment.  Also omit unnecessary MOVE ops from generated files (which saves
    quite a lot of space when surface data is turned off).
  * Set Aven's icon on non-Windows platforms too.  This means that with
    windowmaker the appicon has an icon without user intervention, and
    probably improves things with other windowmanagers too.
  * extend: Added documentation and test cases for the new extend features.
  * manual: Fix example of setting decimal separator.
  * Include syntax colouring mode for .svx files for the vim editor, written
    by David Loeffler.

 -- Wookey <wookey@survex.com>  Mon, 27 Jun 2005 22:32:19 +0100
