## survex 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: survex
 Title: Explainable Machine Learning in Survival Analysis
-Version: 1.0.0
+Version: 1.1.3
 Authors@R: 
     c(
         person("Mikołaj", "Spytek", email = "mikolajspytek@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-7111-2286")),
         person("Mateusz", "Krzyziński", role = c("aut"), comment = c(ORCID = "0000-0001-6143-488X")),
+        person("Sophie", "Langbein", role = c("aut")), 
         person("Hubert", "Baniecki", role = c("aut"), comment = c(ORCID = "0000-0001-6661-5364")),
         person("Przemyslaw", "Biecek", role = c("aut"), comment = c(ORCID = "0000-0001-8423-1823"))
     )
@@ -17,23 +18,24 @@
     extensions of existing ones described in Biecek et al., (2021) <doi:10.1201/9780429027192>.
 License: GPL (>= 3)
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Depends: R (>= 3.5.0)
-Imports: DALEX (>= 2.2.1), ggplot2, kernelshap, pec, survival,
-        patchwork
-Suggests: censored, covr, gbm, generics, glmnet, ingredients, knitr,
-        mboost, parsnip, progressr, randomForestSRC, ranger, rmarkdown,
-        testthat (>= 3.0.0), withr, xgboost
+Imports: DALEX (>= 2.2.1), ggplot2 (>= 3.4.0), kernelshap, pec,
+        survival, patchwork
+Suggests: censored (>= 0.2.0), covr, flexsurv, gbm, generics, glmnet,
+        ingredients, knitr (>= 1.42), mboost, parsnip, progressr,
+        randomForestSRC, ranger, reticulate, rmarkdown, rms, testthat
+        (>= 3.0.0), withr, xgboost
 Config/testthat/edition: 3
-VignetteBuilder: knitr
 URL: https://modeloriented.github.io/survex/
 BugReports: https://github.com/ModelOriented/survex/issues
 NeedsCompilation: no
-Packaged: 2023-03-20 18:17:57 UTC; Mikołaj
+Packaged: 2023-09-05 18:46:09 UTC; Mikołaj
 Author: Mikołaj Spytek [aut, cre] (<https://orcid.org/0000-0001-7111-2286>),
   Mateusz Krzyziński [aut] (<https://orcid.org/0000-0001-6143-488X>),
+  Sophie Langbein [aut],
   Hubert Baniecki [aut] (<https://orcid.org/0000-0001-6661-5364>),
   Przemyslaw Biecek [aut] (<https://orcid.org/0000-0001-8423-1823>)
 Maintainer: Mikołaj Spytek <mikolajspytek@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-03-20 19:30:02 UTC
+Date/Publication: 2023-09-06 01:20:08 UTC
